viralquery
API referencev1/trends

Get deterministic changes across completed scrolls, or insufficient_history

GET
/v1/trends

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Range1 <= value <= 25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/trends"
{
  "status": "ready",
  "completedScrolls": 0,
  "trends": [
    {
      "key": "string",
      "label": "string",
      "metrics": null,
      "examples": [
        {
          "id": "string",
          "platform": "string",
          "externalId": "string",
          "sourceUrl": "http://example.com",
          "postedAt": 0,
          "firstSeenAt": 0,
          "lastSeenAt": 0,
          "metadata": null,
          "metrics": {
            "views": 0,
            "likes": 0,
            "comments": 0,
            "shares": 0,
            "saves": 0,
            "observedAt": 0
          }
        }
      ]
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "subscription_required",
  "message": "string",
  "subscribeUrl": "string"
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}